import { db } from 'src/lib/db'

export const kaufArtikels = () => {
  return db.kaufArtikel.findMany()
}

export const kaufArtikel = ({ id }) => {
  return db.kaufArtikel.findUnique({
    where: { id },
  })
}

export const createKaufArtikel = ({ input }) => {
  return db.kaufArtikel.create({
    data: input,
  })
}

export const updateKaufArtikel = ({ id, input }) => {
  return db.kaufArtikel.update({
    data: input,
    where: { id },
  })
}

export const deleteKaufArtikel = ({ id }) => {
  return db.kaufArtikel.delete({
    where: { id },
  })
}

export const KaufArtikel = {
  kauf: (_obj, { root }) => {
    return db.kaufArtikel.findUnique({ where: { id: root?.id } }).kauf()
  },
  artikel: (_obj, { root }) => {
    return db.kaufArtikel.findUnique({ where: { id: root?.id } }).artikel()
  },
}
